Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class GraphicalM4Object

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.M4Object
          edu.udo.cs.miningmart.m4.core.M4Data
              edu.udo.cs.miningmart.m4.core.GraphicalM4Object

All Implemented Interfaces:
  GraphicalM4Object, M4Data, M4Object, M4Table, XmlInfo, java.io.Serializable, java.lang.Comparable

Direct Known Subclasses:
  Chain, ParameterObject, Step

    public abstract class GraphicalM4Object

extends M4Data
implements XmlInfo, GraphicalM4Object

This is the abstract superclass of all M4 objects that have graphical information associated with them. It handles the access to the HCI_COORD_T table.

Version:
  $Id: GraphicalM4Object.java,v 1.7 2006/09/27 14:59:59 euler Exp $
Author:
  Timm Euler
See Also:
  Serialized Form

Field Summary
`static InterM4ObjectToObject` | `graph2coord`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`myDocumentation`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`myId, myName`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`M4_XML_VERSION, TAG_COLLECTION, TAG_DOUBLE, TAG_INTEGER, TAG_LONG, TAG_M4_ID, TAG_SHORT, TAG_STRING, TAG_XML_ID`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`NOT_NULL`

Constructor Summary
`GraphicalM4Object(DB m4Db)` Constructor for GraphicalM4Object.

Method Summary
`protected void` | `deleteLocal()` Overwrites the method in M4Object to delete the graphical info associated with this GraphicalM4Object.
`void` | `deleteSoon()` Overwrites the superclass method because the coordinates that belong to this object must be deleted, too.
`Coordinates` | `getCoordinates()` Active getter for this objects `Coordinates`
`java.util.Collection` | `getDependentObjects()` This method is part of the XML-serialization and needs to be implemented by all `M4Data` sub-classes that need to be serialized.
`java.awt.Point` | `getPoint()` Get the coordinates of this object.
`protected abstract boolean` | `hasCoordinates()` Has to be implemented to indicate which classes have coordinates.
`void` | `primitiveSetCoordinates(Coordinates cc)`
`void` | `print()` Print this M4 object's parameters.
`void` | `setCoordinatesDirty()` This method should only be used to indicate that the coordinates need to be updated in the table `HCI_COORD_T`.
`void` | `setName(java.lang.String name)` In the current implementation the `Coordinates` object refers to its `GraphicalM4Object`'s ID and name, so we have to make sure that we rewrite the coordinates each time the name is changed!
`void` | `setPoint(java.awt.Point location)` Set the coordinates for this object.
`protected void` | `storeLocal()` Overwrites the method in M4Object to store the graphical info associated with this GraphicalM4Object.

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`exportLocal, genericGetter, genericSetter, getDocumentation, getObjectsInNamespace, getObjectsReferencingMe, getObjectsReferencingMe, getObjectTag, getUniqueName, getValidName, getValidName, getXmlIdTag, getXmlVersion, hasDeleteStatus, importLocal, isDirty, isWaitingForDelete, primitiveGetDocObject, primitiveSetDocObject, readFromDb, readFromDbLocal, removeAllM4References, removeDocObject, removeFromDb, removeSetFromDb, setDirty, setDocumentation, setId, updateObjectsFromTable`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`compareTo, doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setNotNew`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`doPrint, doPrint, exportLocal, genericGetter, genericSetter, getObjectTag, getXmlIdTag, getXmlInfo, getXmlVersion, importLocal`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setId, setNotNew`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`getIdAttributeName, getM4Info, getM4TableName`

Field Detail

### graph2coord

    public static InterM4ObjectToObject graph2coord

Constructor Detail

### GraphicalM4Object

    public GraphicalM4Object(DB m4Db)

  Constructor for GraphicalM4Object.

  Parameters:
    `m4Db` -

Method Detail

### hasCoordinates

    protected abstract boolean hasCoordinates()

  Has to be implemented to indicate which classes have coordinates.

### print

    public void print()

  Description copied from class: `M4Object`
  Print this M4 object's parameters. Must be implemented by all subclasses.

  Specified by:
    `print` in interface `M4Object`
  Specified by:
    `print` in class `M4Object`
  See Also:
    `M4Object.print()`

### primitiveSetCoordinates

    public void primitiveSetCoordinates(Coordinates cc)

### setName

    public void setName(java.lang.String name)

  In the current implementation the `Coordinates` object refers to its `GraphicalM4Object`'s ID and name, so we have to make sure that we rewrite the coordinates each time the name is changed! Thus this method extends the super-method.

  Specified by:
    `setName` in interface `M4Object`
  Overrides:
    `setName` in class `M4Data`
  Parameters:
    `name` - The new name.
  See Also:
    `M4Object.setName(String)`

### setCoordinatesDirty

    public void setCoordinatesDirty()
                             throws M4Exception

  This method should only be used to indicate that the coordinates need to be updated in the table `HCI_COORD_T`.

  Throws:
    `M4Exception`

### storeLocal

    protected void storeLocal()
                       throws M4Exception

  Overwrites the method in M4Object to store the graphical info associated with this GraphicalM4Object.

  Overrides:
    `storeLocal` in class `M4Data`
  Throws:
    `M4Exception`

### deleteLocal

    protected void deleteLocal()
                        throws M4Exception

  Overwrites the method in M4Object to delete the graphical info associated with this GraphicalM4Object.

  Overrides:
    `deleteLocal` in class `M4Data`
  Throws:
    `M4Exception`

### deleteSoon

    public void deleteSoon()
                    throws M4Exception

  Overwrites the superclass method because the coordinates that belong to this object must be deleted, too.

  Specified by:
    `deleteSoon` in interface `M4Data`
  Overrides:
    `deleteSoon` in class `M4Data`
  Throws:
    `M4Exception`

### setPoint

    public void setPoint(java.awt.Point location)
                  throws M4Exception

  Description copied from interface: `GraphicalM4Object`
  Set the coordinates for this object.

  Specified by:
    `setPoint` in interface `GraphicalM4Object`
  Throws:
    `M4Exception`

### getPoint

    public java.awt.Point getPoint()
                            throws M4Exception

  Description copied from interface: `GraphicalM4Object`
  Get the coordinates of this object.

  Specified by:
    `getPoint` in interface `GraphicalM4Object`
  Returns:
    A Point object with the coordinates of this M4 object.
  Throws:
    `M4Exception`

### getCoordinates

    public Coordinates getCoordinates()
                               throws M4Exception

  Active getter for this objects `Coordinates`

  Returns:
    the `Coordinates`, or `null` if `this` object does not have coordinates.
  Throws:
    `M4Exception`

### getDependentObjects

    public java.util.Collection getDependentObjects()
                                             throws M4Exception

  Description copied from class: `M4Data`
  This method is part of the XML-serialization and needs to be implemented by all `M4Data` sub-classes that need to be serialized.

  Specified by:
    `getDependentObjects` in interface `XmlInfo`
  Overrides:
    `getDependentObjects` in class `M4Data`
  Returns:
    a `Collection` of all `M4Data` Java objects holding a foreign key reference to `this` object. This method must never return `null`.
  Throws:
    `M4Exception`
  See Also:
    `M4Data.getDependentObjects()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005